/**
 *
 * @author    Jerry Bendy
 * @since     17/1/4
 * @copyright MicroBenefits
 */

/**
 * 合并两个对象，并返回合并后的新对象
 *
 * @param {{}} obj1
 * @param {{}} obj2
 * @returns {object}
 */
module.exports = function (obj1, obj2) {
    obj1 = obj1 || {};
    obj2 = obj2 || {};

    if (Object.assign) {
        return Object.assign({}, obj1, obj2);

    } else {
        var ret = {};
        for (var i in obj1) {
            if (obj1.hasOwnProperty(i)) {
                ret[i] = obj1[i];
            }
        }
        for (var j in obj2) {
            if (obj2.hasOwnProperty(j)) {
                ret [j] = obj2[j];
            }
        }
        return ret;
    }
};